Subject: Re: bug#34096: 27.0.50; X protocol error: BadMatch (invalid parameter attributes) on protocol request 139

From: Robert Marshall <[email-masked]>
Date: Fri, 18 Jan 2019 22:37:00 +0000

On Thu, Jan 17 2019, Alan Third <[email-masked]> wrote:

> On Wed, Jan 16, 2019 at 08:42:29AM +0100, Toon Claes wrote:
>> Hi,
>> 
>> I have a problem similar to the known problem "Emacs compiled with GTK
>> crashes at startup due to X protocol error.". But mine is slightly
>> different:
>
> Hi Toon, I’ve pushed a fix to master for bug#34051, which also
> produces this error. I’m not 100% sure it will fix your bug, but it
> may be that it’s crashing when a fringe bitmap is being loaded, or
> something of that sort.
>
> If you’re not running master then this won’t be relevant.

I also was seeing a BadMatch crash in master and this update has fixed it for
me - thanks!

Robert
-- 
Robert Marshall               twitter: @rajm